Table of Contents

## Name

im_equal, im_notequal, im_equalconst, im_equal_vec, im_notequalconst, im_notequal_vec, im_less, im_lessconst, im_less_vec, im_more, im_moreconst, im_more_vec, im_lesseq, im_lesseqconst, im_lesseq_vec, im_moreeq, im_moreeqconst, im_moreeq_vec - relational tests on images.

## Synopsis

#include <vips/vips.h>

int im_equal(a, b, out)
IMAGE *a, *b, *out;

int im_equalconst(a, out, c)
IMAGE *a, *out;
double c;

int im_equal_vec(a, out, n, v)
IMAGE *a, *out;
int n;
double *v;

int im_notequal(a, b, out)
IMAGE *a, *b, *out;

int im_notequalconst(a, out, c)
IMAGE *a, *out;
double c;

int im_notequal_vec(a, out, n, v)
IMAGE *a, *out;
int n;
double *v;

int im_less(a, b, out)
IMAGE *a, *b, *out;

int im_lessconst(a, out, c)
IMAGE *a, *out;
double c;

int im_less_vec(a, out, n, v)
IMAGE *a, *out;
int n;
double *v;

int im_more(a, b, out)
IMAGE *a, *b, *out;

int im_moreconst(a, out, c)
IMAGE *a, *out;
double c;

int im_more_vec(a, out, n, v)
IMAGE *a, *out;
int n;
double *v;

int im_lesseq(a, b, out)
IMAGE *a, *b, *out;

int im_lesseqconst(a, out, c)
IMAGE *a, *out;
double c;

int im_lesseq_vec(a, out, n)
IMAGE *a, *out;
int n;
double *v;

int im_moreeq(a, b, out)
IMAGE *a, *b, *out;

int im_moreeqconst(a, out, c)
IMAGE *a, *out;
double c;

int im_moreeq_vec(a, out, n, v)
IMAGE *a, *out;
int n;
double *v;

## Description

These functions perform a range of relational tests between images, or between an image and a constant. Functions which take two images as arguments require that the two images be the same size and have the same number of bands. They can be of mixed type: you may compare an unsigned char image with a double image.

All functions return an unsigned char image, with the same number of bands as the input images, in which band elements have been set to 255 for true and 0 for false.

The logical functions (im_andimage(3) , im_orimage(3) , im_eorimage(3) ) may be used to combine boolean images to make more complex tests. The selection function im_ifthenelse(3) may be used to take action on the result of a test.

## Return Value

All functions return 0 on success and -1 on error.

## See Also

im_ifthenelse(3) , im_andimage(3) .

## Copyright

National Gallery, 1992

## Author

J. Cupitt

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author